Announcement Announcement Module
Collapse
No announcement yet.
Spring-Data-JPA causes XSD validation error in Spring STS Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Spring-Data-JPA causes XSD validation error in Spring STS

    Hi all,

    in my Eclipse/STS workspace the IDE is reporting problems in regards to my Spring XML config files.
    I have some XML configuration files with this header:

    Code:
    <?xml version="1.0" encoding="UTF-8"?>
    <beans xmlns="http://www.springframework.org/schema/beans"
    	xmlns:context="http://www.springframework.org/schema/context"
    	xmlns:mvc="http://www.springframework.org/schema/mvc" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    	xmlns:aop="http://www.springframework.org/schema/aop" xmlns:p="http://www.springframework.org/schema/p"
    	xmlns:jpa="http://www.springframework.org/schema/data/jpa"
    	xsi:schemaLocation="
    		http://www.springframework.org/schema/context
                    http://www.springframework.org/schema/context/spring-context.xsd
    		http://www.springframework.org/schema/beans
    		http://www.springframework.org/schema/beans/spring-beans.xsd
    		http://www.springframework.org/schema/mvc
                    http://www.springframework.org/schema/mvc/spring-mvc.xsd
    		http://www.springframework.org/schema/aop
                    http://www.springframework.org/schema/aop/spring-aop.xsd
    		http://www.springframework.org/schema/data/jpa
    		http://www.springframework.org/schema/data/jpa/spring-jpa.xsd">
    I am using Spring 3.2.1 with Spring-Data-JPA 1.3.0 and Eclipse/STS is reporting this:
    Referenced file contains errors (http://www.springframework.org/schema/data/jpa)

    This is in every single XML configuration file that contains the data-jpa schema.

    Is my configuration wrong or what happens here?

    Thanks!
    Paul

  • #2
    I have the same error,
    did you solved it ?

    Comment

    Working...
    X